| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::Histo1DGrammar::definition< ScannerT > Struct Template Reference

Collaboration diagram for Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >:

[legend]
List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >

Definition at line 63 of file ParseHistos.cpp.

## Public Types
typedef Gaudi::Parsers::Histo1DGrammar | H1G
## Public Member Functions
| definition (H1G const &self)
boost::spirit::rule< ScannerT > const & | start () const
## Public Attributes
RealGrammar | rG
IntGrammar | iG
StringGrammar | sG
rule< ScannerT > | histogram
rule< ScannerT > | val1
rule< ScannerT > | val2
rule< ScannerT > | val3

## Member Typedef Documentation

template<typename ScannerT>

typedef Gaudi::Parsers::Histo1DGrammar Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::H1G

Definition at line 65 of file ParseHistos.cpp.

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition | ( | H1G const & | self | ) | `[inline]`

Definition at line 66 of file ParseHistos.cpp.

References Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::histogram, Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::iG, Gaudi::Parsers::Histo1DGrammar::matchBins(), Gaudi::Parsers::Histo1DGrammar::matchHigh(), Gaudi::Parsers::Histo1DGrammar::matchLow(), Gaudi::Parsers::Histo1DGrammar::matchTitle(), Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::rG, Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::sG, Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::val1, Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::val2, and Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::val3.

    00067         {
    00068           val1 =         sG [boost::bind(&H1G::matchTitle , &self , _1 ) ]
    00069             >>    "," >> rG [boost::bind(&H1G::matchLow   , &self , _1 ) ]
    00070             >>    "," >> rG [boost::bind(&H1G::matchHigh  , &self , _1 ) ]
    00071             >> !( "," >> iG [boost::bind(&H1G::matchBins  , &self , _1 ) ] ) ;
    00072
    00073           val2 =         rG [boost::bind(&H1G::matchLow   , &self , _1 ) ]
    00074             >>    "," >> rG [boost::bind(&H1G::matchHigh  , &self , _1 ) ]
    00075             >>    "," >> sG [boost::bind(&H1G::matchTitle , &self , _1 ) ]
    00076             >> !( "," >> iG [boost::bind(&H1G::matchBins  , &self , _1 ) ] ) ;
    00077
    00078           val3 =         rG [boost::bind(&H1G::matchLow   , &self , _1 ) ]
    00079             >>    "," >> rG [boost::bind(&H1G::matchHigh  , &self , _1 ) ]
    00080             >> !( "," >> iG [boost::bind(&H1G::matchBins  , &self , _1 ) ] )
    00081             >> !( "," >> sG [boost::bind(&H1G::matchTitle , &self , _1 ) ] ) ;
    00082
    00083           histogram = "(" >> ( val1 || val2 || val3 ) >> ")";
    00084         }

## Member Function Documentation

template<typename ScannerT>

boost::spirit::rule<ScannerT> const& Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 88 of file ParseHistos.cpp.

References Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::histogram.

    00088 { return histogram;}

## Member Data Documentation

template<typename ScannerT>

RealGrammar Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::rG

Definition at line 85 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

IntGrammar Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::iG

Definition at line 86 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

StringGrammar Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::sG

Definition at line 87 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::histogram

Definition at line 89 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::start().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::val1

Definition at line 90 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::val2

Definition at line 90 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::val3

Definition at line 90 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/ParseHistos.cpp